Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.converters
[Java] Class ConverterUtil

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.ConverterUtil

    public class ConverterUtil

A utility class for creating and dealing with Converter objects.

Authors:
  Siegfried Puchbauer

Since:
  0.6

Constructor Summary
`protected ConverterUtil()`

Method Summary
`static BeanWrapper` | `createBeanWrapper(java.lang.Object o)`
`static java.lang.Object` | `createConverter(java.lang.Class converterClass, java.lang.Object target)`
`static java.lang.Object` | `createConverter(java.lang.Class converterClass, java.lang.Object target, ApplicationContext applicationContext)`
`protected java.lang.Object` | `extractIdValue(java.lang.Object domainObject, GrailsDomainClassProperty idProperty)` Reads the value of the primary identifier property of a domain class instance
`static GrailsDomainClass` | `getDomainClass(java.lang.String name)`
`static java.util.Set` | `getDomainClassNames()`
`protected static ConverterUtil` | `getInstance()`
`static java.lang.Object` | `invokeOriginalAsTypeMethod(java.lang.Object delegate, java.lang.Class clazz)`
`static boolean` | `isConverterClass(java.lang.Class clazz)`
`static boolean` | `isDomainClass(java.lang.Class clazz)`
`static java.lang.Object` | `resolveCircularReferenceBehaviour(java.lang.String str)`
`static ConverterException` | `resolveConverterException(java.lang.Throwable t)`
`static void` | `setGrailsApplication(GrailsApplication grailsApp)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ConverterUtil

    protected ConverterUtil()

Method Detail

### createBeanWrapper

    public static BeanWrapper createBeanWrapper(java.lang.Object o)

### createConverter

    public static java.lang.Object createConverter(java.lang.Class converterClass, java.lang.Object target)

### createConverter

    public static java.lang.Object createConverter(java.lang.Class converterClass, java.lang.Object target, ApplicationContext applicationContext)

### extractIdValue

    protected java.lang.Object extractIdValue(java.lang.Object domainObject, GrailsDomainClassProperty idProperty)

  Reads the value of the primary identifier property of a domain class instance
  Parameters:
    `domainObject` - The domain class instance
    `idProperty` - The GrailsDomainClassProperty
  Returns:
    The primary identifier of the specified domain object

### getDomainClass

    public static GrailsDomainClass getDomainClass(java.lang.String name)

### getDomainClassNames

    @SuppressWarnings("unchecked")
    public static java.util.Set getDomainClassNames()

### getInstance

    protected static ConverterUtil getInstance()

### invokeOriginalAsTypeMethod

    @SuppressWarnings("rawtypes")
    public static java.lang.Object invokeOriginalAsTypeMethod(java.lang.Object delegate, java.lang.Class clazz)

### isConverterClass

    public static boolean isConverterClass(java.lang.Class clazz)

### isDomainClass

    public static boolean isDomainClass(java.lang.Class clazz)

### resolveCircularReferenceBehaviour

    public static java.lang.Object resolveCircularReferenceBehaviour(java.lang.String str)

### resolveConverterException

    public static ConverterException resolveConverterException(java.lang.Throwable t)

### setGrailsApplication

    public static void setGrailsApplication(GrailsApplication grailsApp)

Groovy Documentation